Skip to main content

Overview

Get KPIs such as lighthouse scores, crux assessment, performance metrics, network resources, savings, security, page source links and html validation results for your projects.

Request​

GET or POST https://api.wattspeed.com/v1/overview

Headers
Authorization  string required

Your API token.

Parameters
startDate  string required

A UTC start date - should be in ISO-8601 format: yyyy-MM-dd.


endDate  string required

A UTC end date - should be in ISO-8601 format: yyyy-MM-dd.


domain  string 

Use this to filter by domain - should be URL encoded.


updateType  string 

Use this to filter by update type. Allowed values: manual, scheduled, ci.


sections  array of strings 

Use this to filter by section. When passing multiple locations, include each location in a different parameter using the same name. Example: section=lighthouse&section=crux.
Allowed values: lighthouse, crux, page_source, security, savings.

Example request​

GET​

https://api.wattspeed.com/v1/overview?domain=wattspeed.com&section=lighthouse&section=crux&updateType=scheduled

POST​

{
"dateRange": {
"startDate": "2024-06-20",
"endDate": "2024-07-17"
},
"domain": "wattspeed.com",
"updateType": "scheduled",
"sections": ["lighthouse", "crux"]
}

Responses​

[
{
"date": "2024-06-20T13:23:24",
"domain": "wattspeed.com",
"url": "https://wattspeed.com/",
"device": "mobile",
"location": "us-east1",
"updateType": "Scheduled",
"section": "LIGHTHOUSE",
"kpi": LIGHTHOUSE_KPI_KEY_STRING,
"data": {
...LIGHTHOUSE_KPI_DATA_OBJECT
}
},
{
"date": "2024-06-20T13:23:24",
"domain": "wattspeed.com",
"url": "https://wattspeed.com/",
"device": "mobile",
"location": "us-east1",
"updateType": "Scheduled",
"section": "CRUX",
"kpi": CRUX_KPI_KEY_STRING,
"data": CRUX_KPI_DATA_STRING
}
]

SECTION KPI_KEY RESPONSES​

  • performance (object)

    {
    "si": 0.62,
    "fcp": 0.62,
    "fmp": 0.62,
    "tti": 0.62,
    "fCPUi": 0,
    "mpFID": 48,
    "score": 99
    }
  • accessibility (object)

    {
    "score": 95
    }
  • best_practices (object)

    {
    "score": 98
    }
  • seo (object)

    {
    "score": 100
    }
  • pwa (Legacy) (object)

    {
    "score": 89
    }
  • pwa_checks (Legacy) (object)

    {
    "pwa-optimized": "2/6",
    "pwa-installable": "0/1"
    }